Subject: [PATCH v4 05/10] ARM: tegra: Provide clock for only one PWM controller

From: [email-masked] (Stephen Warren)
Date: Tue, 20 Mar 2012 09:27:58 -0600

On 03/20/2012 02:44 AM, Thierry Reding wrote:
> * Stephen Warren wrote:
>> On 03/14/2012 09:56 AM, Thierry Reding wrote:
>>> A subsequent patch will add a generic PWM API driver for the Tegra PWFM
>>> controller, supporting all four PWM devices with a single PWM chip. The
>>> device will be named tegra-pwm and only one clock needs to be provided.
>>>
>>> Signed-off-by: Thierry Reding <[email-masked]>
>>> Acked-by: Stephen Warren <[email-masked]>
>> ...
>>> -	CLK_DUPLICATE("pwm", "tegra_pwm.0", NULL),
>>> -	CLK_DUPLICATE("pwm", "tegra_pwm.1", NULL),
>>> -	CLK_DUPLICATE("pwm", "tegra_pwm.2", NULL),
>>> -	CLK_DUPLICATE("pwm", "tegra_pwm.3", NULL),
>>> +	CLK_DUPLICATE("pwm", "tegra-pwm", NULL),
>>
>> I thought harder about this: Why not delete /all/ the CLK_DUPLICATE()s
>> for PWM, and change the second parameter to PERIPH_CLK for PWM from
>> "pwm" to "tegra-pwm"?
> 
> I think that should work. I'll retest and will update the patch accordingly.
> I assume that you're Acked-by will remain valid after those changes?

Yes in this case, assuming the patch looks like what I think it will:-)